package org.eclipse.equinox.servlet.bridge.http.internal;

import java.util.Dictionary;
import java.util.Hashtable;
import java.util.WeakHashMap;

import javax.servlet.http.HttpServletRequest;
import org.osgi.service.http.HttpContext;

public class ProxyContext {
	private String servletPath;
	private WeakHashMap contextAttributes = new WeakHashMap();

	synchronized void initializeServletPath(HttpServletRequest req) {
		if (servletPath == null)
			servletPath = HttpServletRequestAdaptor.getDispatchServletPath(req);
	}
	
	synchronized String getServletPath() {
		return servletPath;
	}
	
	synchronized void createContextAttributes(HttpContext httpContext) {
		if (!contextAttributes.containsKey(httpContext))
			contextAttributes.put(httpContext, new Hashtable());
	}

	synchronized Dictionary getContextAttributes(HttpContext httpContext) {
		return (Dictionary) contextAttributes.get(httpContext);
	}
}
